Docs For Class adoSchema

### Class adoSchema

[line 379]

Location: Program_Root/adodb-xmlschema.php

Loads and parses an XML file, creating an array of "ready-to-run" SQL statements

This class is used to load and parse the XML file, to create an array of SQL statements that can be used to build a database, and to build the database using the SQL array.

### Class Variable Summary

- `$dbconn` = ``
- `$dbType` = ``
- `$dict` = ``
- `$sqlArray` = ``
- `$xmlParser` = ``

### Inherited Class Variable Summary

### Method Summary

- `void adoSchema()`
  Constructor.
- `void Destroy()`
  Destructor
- `integer ExecuteSchema()`
  Loads a schema into the database
- `array ParseSchema()`
  Loads and parses an XML file

### Inherited Method Summary

### Method Detail

- Constructor void adoSchema() [line 441]
  Usage: adoSchema( object $dbconn)
  Constructor.

  Initializes the xmlschema object

  #### Parameters

  - object $dbconn - ADOdb connection object

  #### Info

  [ Top ]

- void Destroy() [line 725]
  Usage: Destroy( )
  Destructor

  #### Info

  [ Top ]

- integer ExecuteSchema() [line 504]
  Usage: ExecuteSchema( array $sqlArray, [boolean $continueOnErr = TRUE])
  Loads a schema into the database

  Accepts an array of SQL queries generated by the parser and executes them.

  #### Parameters

  - array $sqlArray - Array of SQL statements
  - boolean $continueOnErr - Don't fail out if an error is encountered

  #### Info

  - return: `0 if failed, 1 if errors, 2 if successful`

  [ Top ]

- array ParseSchema() [line 465]
  Usage: ParseSchema( string $file)
  Loads and parses an XML file

  This method accepts a path to an xmlschema-compliant XML file, loads it, parses it, and uses it to create the SQL to generate the objects described by the XML file.

  #### Parameters

  - string $file - XML file

  #### Info

  - return: `Array of SQL queries, ready to execute`

  [ Top ]

### Variable Detail

- $dbconn = `` [line 394]
- Data type: `ADOdb`

- var: `connection object`

- $dbType = `` [line 399]
- Data type: `string`

- var: `Database type (platform)`

- $dict = `` [line 404]
- Data type: `ADOdb`

- var: `Data Dictionary`

- $sqlArray = `` [line 384]
- Data type: `array`

- var: `Array containing SQL queries to generate all objects`

- $xmlParser = `` [line 389]
- Data type: `XML`

- var: `Parser object`

Documention generated on Sat, 3 May 2003 13:13:37 -0400 by phpDocumentor 1.2.0rc1